<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>DynamicParam | dblurt</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">dblurt</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="dynamicparam.html">DynamicParam</a>
				</li>
			</ul>
			<h1>Interface DynamicParam</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">DynamicParam</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicparam.html#budget_per_time_unit" class="tsd-kind-icon">budget_<wbr>per_<wbr>time_<wbr>unit</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicparam.html#decay_params" class="tsd-kind-icon">decay_<wbr>params</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicparam.html#max_pool_size" class="tsd-kind-icon">max_<wbr>pool_<wbr>size</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicparam.html#min_decay" class="tsd-kind-icon">min_<wbr>decay</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicparam.html#pool_eq" class="tsd-kind-icon">pool_<wbr>eq</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicparam.html#resource_unit" class="tsd-kind-icon">resource_<wbr>unit</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="budget_per_time_unit" class="tsd-anchor"></a>
					<h3>budget_<wbr>per_<wbr>time_<wbr>unit</h3>
					<div class="tsd-signature tsd-kind-icon">budget_<wbr>per_<wbr>time_<wbr>unit<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/rc.ts:17</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="decay_params" class="tsd-anchor"></a>
					<h3>decay_<wbr>params</h3>
					<div class="tsd-signature tsd-kind-icon">decay_<wbr>params<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">{ </span>decay_per_time_unit<span class="tsd-signature-symbol">: </span><a href="../globals.html#bignum" class="tsd-signature-type">Bignum</a><span class="tsd-signature-symbol">; </span>decay_per_time_unit_denom_shift<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> }</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/rc.ts:20</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter">
								<h5>decay_<wbr>per_<wbr>time_<wbr>unit<span class="tsd-signature-symbol">: </span><a href="../globals.html#bignum" class="tsd-signature-type">Bignum</a></h5>
							</li>
							<li class="tsd-parameter">
								<h5>decay_<wbr>per_<wbr>time_<wbr>unit_<wbr>denom_<wbr>shift<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></h5>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="max_pool_size" class="tsd-anchor"></a>
					<h3>max_<wbr>pool_<wbr>size</h3>
					<div class="tsd-signature tsd-kind-icon">max_<wbr>pool_<wbr>size<span class="tsd-signature-symbol">:</span> <a href="../globals.html#bignum" class="tsd-signature-type">Bignum</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/rc.ts:19</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="min_decay" class="tsd-anchor"></a>
					<h3>min_<wbr>decay</h3>
					<div class="tsd-signature tsd-kind-icon">min_<wbr>decay<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/rc.ts:24</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="pool_eq" class="tsd-anchor"></a>
					<h3>pool_<wbr>eq</h3>
					<div class="tsd-signature tsd-kind-icon">pool_<wbr>eq<span class="tsd-signature-symbol">:</span> <a href="../globals.html#bignum" class="tsd-signature-type">Bignum</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/rc.ts:18</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="resource_unit" class="tsd-anchor"></a>
					<h3>resource_<wbr>unit</h3>
					<div class="tsd-signature tsd-kind-icon">resource_<wbr>unit<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/rc.ts:16</li>
						</ul>
					</aside>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-interface">
						<a href="dynamicparam.html" class="tsd-kind-icon">Dynamic<wbr>Param</a>
						<ul>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicparam.html#budget_per_time_unit" class="tsd-kind-icon">budget_<wbr>per_<wbr>time_<wbr>unit</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicparam.html#decay_params" class="tsd-kind-icon">decay_<wbr>params</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicparam.html#max_pool_size" class="tsd-kind-icon">max_<wbr>pool_<wbr>size</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicparam.html#min_decay" class="tsd-kind-icon">min_<wbr>decay</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicparam.html#pool_eq" class="tsd-kind-icon">pool_<wbr>eq</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicparam.html#resource_unit" class="tsd-kind-icon">resource_<wbr>unit</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>